net.fortuna.ical4j.model

## Class Time

- java.lang.Object
- - java.util.Date
  - - net.fortuna.ical4j.model.Iso8601
    - - net.fortuna.ical4j.model.Time

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

    public class Time
    extends Iso8601

$Id$ Created on 30/06/2005 A type used to represent iCalendar time values.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Time(Date time, TimeZone timezone)`
`Time(Date time, TimeZone timezone, boolean utc)`
`Time(long time, TimeZone timezone)`
`Time(long time, TimeZone timezone, boolean utc)`
`Time(String value, TimeZone timezone)`
`Time(String value, TimeZone timezone, boolean utc)`
`Time(TimeZone timezone)`
`Time(TimeZone timezone, boolean utc)`

### Method Summary

Methods
`boolean` `isUtc()`

### Methods inherited from class net.fortuna.ical4j.model.Iso8601

`getFormat, setTime, toString`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Time

    public Time(TimeZone timezone)

Parameters:
  `timezone` - a timezone for the instance

#### Time

    public Time(TimeZone timezone,
        boolean utc)

Parameters:
  `timezone` - a timezone for the instance
  `utc` - indicates if the time is in UTC

#### Time

    public Time(long time,
        TimeZone timezone)

Parameters:
  `time` - a time value in milliseconds from the epoch
  `timezone` - a timezone for the instance

#### Time

    public Time(long time,
        TimeZone timezone,
        boolean utc)

Parameters:
  `time` - a time value in milliseconds from the epoch
  `timezone` - a timezone for the instance
  `utc` - indicates if the time is in UTC

#### Time

    public Time(Date time,
        TimeZone timezone)

Parameters:
  `time` - a time value in milliseconds from the epoch
  `timezone` - a timezone for the instance

#### Time

    public Time(Date time,
        TimeZone timezone,
        boolean utc)

Parameters:
  `time` - a time value as a Java date instance
  `timezone` - a timezone for the instance
  `utc` - indicates if the time is in UTC

#### Time

    public Time(String value,
        TimeZone timezone)
         throws ParseException

Parameters:
  `value` -
  `timezone` -
Throws:
  `ParseException` - where the specified value is not a valid time string

#### Time

    public Time(String value,
        TimeZone timezone,
        boolean utc)
         throws ParseException

Parameters:
  `value` -
  `timezone` -
  `utc` -
Throws:
  `ParseException` - where the specified value is not a valid time string

### Method Detail

#### isUtc

    public final boolean isUtc()

Returns:
  true if time is utc